%define upstream_name    AI-NNFlex
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Flexible API for neural networks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Math::Matrix)

BuildArch: noarch


%description
AI::NNFlex is a base class for constructing your own neural network
modules. To implement a neural network, start with the documentation for
AI::NNFlex::Backprop, included in this distribution

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL MANIFEST README.txt TODO
%doc examples/*.pl examples/cars/cars.pl
#%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.240.0-7.mga6
+ Revision: 1022203
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.240.0-6.mga6
+ Revision: 947196
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 750386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 683409
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 508921
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 362758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 25871
- no meta.yml
- mageia rebuild
- imported package perl-AI-NNFlex

